#ifndef DISPLAYMGRSDI_H
#define DISPLAYMGRSDI_H

#include "displayMgr.h"

class DisplayMgrSDI : public DisplayMgr {
public:
  DisplayMgrSDI();
  virtual ~DisplayMgrSDI();

  virtual void newTopLevel(TQWidget *, bool show = FALSE);
  virtual void removeTopLevel(TQWidget *);

  virtual void show(TQWidget *);
  virtual void hide(TQWidget *);
  virtual void raise(TQWidget *, bool takefocus = false);

  virtual void setCaption(TQWidget *, const TQString&);

private:
};


#endif

